Bug 113437 - [NEW PORT] www/py-postmarkup
Summary: [NEW PORT] www/py-postmarkup
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-06-07 04:40 UTC by Shin CHAO
Modified: 2007-06-09 00:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Shin CHAO 2007-06-07 04:40:03 UTC
	Add a lib for parse BBcode with Python.

Fix: -- py-postmarkup.shar begins here ---


--- py-postmarkup.shar ends here -----hEusT20DCs73jjGrXhiVffeOPEUAUAHijlIpbZs0tpepRYAC
Content-Type: text/plain; name="file.shar"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.shar"

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	py-postmarkup
#	py-postmarkup/pkg-plist
#	py-postmarkup/pkg-descr
#	py-postmarkup/distinfo
#	py-postmarkup/Makefile
#
echo c - py-postmarkup
mkdir -p py-postmarkup > /dev/null 2>&1
echo x - py-postmarkup/pkg-plist
sed 's/^X//' >py-postmarkup/pkg-plist << 'END-of-py-postmarkup/pkg-plist'
X%%PYTHON_SITELIBDIR%%/postmarkup.py
X%%PYTHON_SITELIBDIR%%/postmarkup.pyc
X%%PYTHON_SITELIBDIR%%/postmarkup.pyo
END-of-py-postmarkup/pkg-plist
echo x - py-postmarkup/pkg-descr
sed 's/^X//' >py-postmarkup/pkg-descr << 'END-of-py-postmarkup/pkg-descr'
XGenerates XHTML snippets from BBCode.
X
XWWW: http://code.google.com/p/postmarkup/	
END-of-py-postmarkup/pkg-descr
echo x - py-postmarkup/distinfo
sed 's/^X//' >py-postmarkup/distinfo << 'END-of-py-postmarkup/distinfo'
XMD5 (postmarkup-1.0.4.zip) = c0a25426783783ed76aec3149c80e737
XSHA256 (postmarkup-1.0.4.zip) = f0588e3b3e2ed39833f79d466e41c25215c36cbd9e9f12f470b9627b04f5e0a2
XSIZE (postmarkup-1.0.4.zip) = 7219
END-of-py-postmarkup/distinfo
echo x - py-postmarkup/Makefile
sed 's/^X//' >py-postmarkup/Makefile << 'END-of-py-postmarkup/Makefile'
X# New ports collection makefile for:    py-postmarkup
X# Date created:                 June 7, 2007
X# Whom:                         Chao Shin <quakelee@cn.freebsd.org>
X#
X# $FreeBSD $
X
XPORTNAME=	postmarkup
XPORTVERSION=	1.0.4
XCATEGORIES=	www python
XMASTER_SITES=	http://postmarkup.googlecode.com/files/
XPKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
X
XMAINTAINER=	quakelee@cn.freebsd.org
XCOMMENT=	A library to parse the BBcode written in Python
X
XUSE_PYTHON=	yes
XUSE_PYDISTUTILS=	yes
XUSE_ZIP=	yes
X
X.include <bsd.port.mk>
END-of-py-postmarkup/Makefile
exit
Comment 1 Edwin Groothuis freebsd_committer 2007-06-07 04:40:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants to have py- PRs
Comment 2 Martin Wilke freebsd_committer 2007-06-07 06:04:16 UTC
Responsible Changed
From-To: freebsd-python->miwi

I'll take it.
Comment 3 Martin Wilke freebsd_committer 2007-06-09 00:15:33 UTC
State Changed
From-To: open->closed

New port added. Thanks!
Comment 4 dfilter service freebsd_committer 2007-06-09 00:15:40 UTC
miwi        2007-06-08 23:15:33 UTC

  FreeBSD ports repository

  Modified files:
    www                  Makefile 
  Added files:
    www/py-postmarkup    Makefile distinfo pkg-descr pkg-plist 
  Log:
  Generates XHTML snippets from BBCode.
  
  WWW: http://code.google.com/p/postmarkup/
  
  PR:             ports/113437
  Submitted by:   Chao Shin <quakelee at cn.freebsd.org>
  
  Revision  Changes    Path
  1.1837    +1 -0      ports/www/Makefile
  1.1       +20 -0     ports/www/py-postmarkup/Makefile (new)
  1.1       +3 -0      ports/www/py-postmarkup/distinfo (new)
  1.1       +3 -0      ports/www/py-postmarkup/pkg-descr (new)
  1.1       +3 -0      ports/www/py-postmarkup/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"